package com.qmth.teachcloud.mark.bean.vo.parseCard;

public class StructData {

    private int mainNumber;
    private String mainTitle;
    private int questionsCount;
    private int startNumber;
    private String cardTopicType;
    private int optionCount;
    private int type;
    private String typeName;
    private Boolean isObjective;
    private String qType;
    private int paperIndex;
    private int pageIndex;

    public StructData() {
    }

    public StructData(int type, String typeName, String qType) {
        this.type = type;
        this.typeName = typeName;
        this.qType = qType;
        this.isObjective = "objective".equals(qType);
    }

    public int getMainNumber() {
        return mainNumber;
    }

    public void setMainNumber(int mainNumber) {
        this.mainNumber = mainNumber;
    }

    public String getMainTitle() {
        return mainTitle;
    }

    public void setMainTitle(String mainTitle) {
        this.mainTitle = mainTitle;
    }

    public int getQuestionsCount() {
        return questionsCount;
    }

    public void setQuestionsCount(int questionsCount) {
        this.questionsCount = questionsCount;
    }

    public int getStartNumber() {
        return startNumber;
    }

    public void setStartNumber(int startNumber) {
        this.startNumber = startNumber;
    }

    public String getCardTopicType() {
        return cardTopicType;
    }

    public void setCardTopicType(String cardTopicType) {
        this.cardTopicType = cardTopicType;
    }

    public int getOptionCount() {
        return optionCount;
    }

    public void setOptionCount(int optionCount) {
        this.optionCount = optionCount;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public Boolean getObjective() {
        return isObjective;
    }

    public void setObjective(Boolean objective) {
        isObjective = objective;
    }

    public String getqType() {
        return qType;
    }

    public void setqType(String qType) {
        this.qType = qType;
    }

    public int getPaperIndex() {
        return paperIndex;
    }

    public void setPaperIndex(int paperIndex) {
        this.paperIndex = paperIndex;
    }

    public int getPageIndex() {
        return pageIndex;
    }

    public void setPageIndex(int pageIndex) {
        this.pageIndex = pageIndex;
    }
}
